 <mat-sidenav-container class="example-container" [ngStyle]="{'top': navbarService.showSidenav ? '50px' : '0px'} ">

   <!-- SideNav -->
   <mat-sidenav #sidenav mode="side" class="example-sidenav" [ngStyle]="{ 'width.em': sidenavWidth }" opened="true"
     (mouseenter)="increase()" (mouseleave)="decrease()" *ngIf="navbarService.showSidenav">

     <mat-nav-list>
       <mat-nav-list>
         <mat-list-item routerLink="home" routerLinkActive="active">
           <div>
             <mat-icon mat-list-icon>home</mat-icon>
             <div fxFlex="10"></div>
             <div *ngIf="sidenavWidth > 10" class="sidenav-item">
               <h5 [ngStyle]="{'color': navbarService.contentTextColor}">Home</h5>
             </div>
           </div>
         </mat-list-item>

         <mat-list-item routerLink="/collection" routerLinkActive="active">
           <div>
             <mat-icon mat-list-icon>headset</mat-icon>
             <div fxFlex="10"></div>
             <div *ngIf="sidenavWidth > 10" class="sidenav-item">
               <h5 [ngStyle]="{'color': navbarService.contentTextColor}">Collection</h5>
             </div>
           </div>
         </mat-list-item>

         <mat-list-item routerLink="/create" routerLinkActive="active">
           <div>
             <mat-icon mat-list-icon>brush</mat-icon>
             <div fxFlex="10"></div>
             <div *ngIf="sidenavWidth > 10" class="sidenav-item">
               <h5 [ngStyle]="{'color': navbarService.contentTextColor}">Create</h5>
             </div>
           </div>
         </mat-list-item>

         <mat-list-item routerLink="/profile" routerLinkActive="active">
           <div>
             <mat-icon mat-list-icon>face</mat-icon>
             <div fxFlex="10"></div>
             <div *ngIf="sidenavWidth > 10" class="sidenav-item">
               <!-- Add user routing -->
               <h5 [ngStyle]="{'color': navbarService.contentTextColor}">Profile</h5>
             </div>
           </div>
         </mat-list-item>
         <div *ngIf="user">
           <div *ngIf="user.role === 'Admin'">
             <mat-list-item routerLink="/users" routerLinkActive="active">
               <div>
                 <mat-icon mat-list-icon>admin_panel_settings</mat-icon>
                 <div fxFlex="10"></div>
                 <div *ngIf="sidenavWidth > 10" class="sidenav-item">
                   <!-- Add user routing -->
                   <h5 [ngStyle]="{'color': navbarService.contentTextColor}">Admin</h5>
                 </div>
               </div>
             </mat-list-item>
           </div>
         </div>


       </mat-nav-list>
     </mat-nav-list>
   </mat-sidenav>

   <mat-sidenav-content>
     <div [@fadeAnimation]="o.isActivated ? o.activatedRoute : ''" class="main-content-container">
       <router-outlet #o="outlet"></router-outlet>
     </div>
   </mat-sidenav-content>

 </mat-sidenav-container>
